/// <reference types="node" />
import { DataUploadType } from "./../interface";
/**
 * 上传函数
 * @param { Buffer } file 文件buffer数据
 * @returns { Promise<DataUploadType> }
 */
interface Iupload {
    (file: Buffer): Promise<DataUploadType>;
}
export declare let upload: Iupload;
/**
 * 下载函数
 * @param { string } path
 * @returns { Promise<string> }
 */
interface Idownload {
    (path: string): Promise<string>;
}
export declare let download: Idownload;
/**
 * 计算byte大小
 * @param { number } byte 字节大小
 * @returns { string }
 */
interface IbyteSize {
    (byte: number): string;
}
export declare let byteSize: IbyteSize;
/**
 * buffer 转 arraybuffer
 * @param { Buffer }
 * @returns { ArrayBuffer }
 */
interface ItoArrayBuffer {
    (buf: Buffer): ArrayBuffer;
}
export declare let toArrayBuffer: ItoArrayBuffer;
/**
 * 转 buffer
 * @param { Uint8Array }
 * @returns { Buffer }
 */
interface ItoBuffer {
    (ab: Uint8Array): Buffer;
}
export declare let toBuffer: ItoBuffer;
export declare const tagBuf: Buffer;
export declare const tagLen: number;
/**
 * 转 buffer
 * @param { Uint8Array }
 * @returns { Buffer }
 */
interface IfilterFileName {
    (path: string): string;
}
export declare let filterFileName: IfilterFileName;
export {};
