/// <reference types="node" />
export declare type folderListCheckboxType = {
    folderList: string[];
};
export declare type compressType = {
    compressType: string;
    compressList: imageType[];
};
export declare type imageType = {
    path: string;
    file: Buffer;
};
export declare type DataUploadType = {
    output: {
        url: string;
        size: number;
        ratio: number;
    };
    input: {
        size: number;
    };
    error: string;
};
export declare type dataDownloadType = {
    length: number;
};
export interface Iheader {
    headers: {
        "Cache-Control": string;
        "Content-Type": string;
        "Postman-Token": number;
        "User-Agent": string;
        "X-Forwarded-For": string;
    };
    hostname: string;
    method: string;
    path: string;
    rejectUnauthorized: boolean;
}
export interface Idetail {
    input: number;
    output: number;
    ratio: number;
    path: string;
    file: Buffer;
    time?: number;
    msg?: string;
}
export interface IsvgaData {
    images: {
        [propsName: string]: Uint8Array;
    };
}
